Skip to content

Get Libraries Count Per License

Request

Returns the total number of libraries for a given organization, along with a breakdown of the number of libraries per license.

Security
bearer-key
Path
orgTokenstringrequired

org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: Integrate tab > API Key).

Query
pageSizestring, <= 10000

Enter the number of items to return in each page of the result.

Default:"50"
pagestring

Enter the page number to display in the result. Page numbers start at 0

Default:"0"
GET
/api/v2.0/orgs/{orgToken}/summary/libraryCountPerLicense
curl -i -X GET \
  'https://api-saas.mend.io/api/v2.0/orgs/{orgToken}/summary/libraryCountPerLicense?pageSize=50&page=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
supportTokenstring(Support Token)
Example:"1171c60d"
retValobject(LicenseCountDto)
Response
{ "supportToken": "1171c60d", "retVal": { "totalLibraryCount": 0, "licenses": [] } }